%global scala_short_version 2.10

Name:          scalastyle
Version:       0.4.0
Release:       1%{?dist}
Summary:       Scalastyle style checker for Scala
License:       ASL 2.0
URL:           https://github.com/scalastyle
Source0:       https://github.com/scalastyle/scalastyle/archive/%{name}_%{scala_short_version}-%{version}.tar.gz
Patch0:        scalastyle-0.4.0-antrun-plugin.patch
BuildRequires: mvn(com.github.scopt:scopt_2.10)
BuildRequires: mvn(org.scalariform:scalariform_2.10)
%if %{fedora} >= 21
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)
%else
BuildRequires: mvn(org.sonatype.oss:oss-parent)
%endif
BuildRequires: maven-local
BuildArch:     noarch

%description
Scalastyle examines your Scala code and
indicates potential problems with it.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{name}_%{scala_short_version}-%{version}
find . -name "*.class" -delete
find . -name "*.jar" -delete

%patch0 -p0

%build

%mvn_file : %{name}
# not able to run test suite and javadoc task
%mvn_build -f -j -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles

%changelog
* Fri Jun 13 2014 gil cattaneo <puntogil@libero.it> 0.4.0-1
- initial rpm
